package com.portlandwebworks.commons.excel;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class Workbook
{
	private List<Worksheet> worksheets = new ArrayList<Worksheet>();

	public Workbook()
	{
	}

	public Workbook(Worksheet... worksheets)
	{
		this.worksheets.addAll(Arrays.asList(worksheets));
	}
	
	public void addWorksheet(Worksheet worksheet)
	{
		worksheets.add(worksheet);
	}

	public List<Worksheet> getWorksheets()
	{
		return new ArrayList<Worksheet>(worksheets);
	}

	public void setWorksheets(List<Worksheet> worksheets)
	{
		this.worksheets = new ArrayList<Worksheet>(worksheets);
	}
}
