package com.portlandwebworks.commons.data;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@EntityMapping
public class CodeValueBean<T extends Enum>
{
	@FieldMapping(identifier = true, readOnly = true)
	private Integer id;

	@FieldMapping(readOnly = true)
	private String displayName;

	@FieldMapping(readOnly = true)
	private T code;

	@FieldMapping(readOnly = true)
	private int displayOrder;

	public Integer getId()
	{
		return id;
	}

	public void setId(Integer id)
	{
		this.id = id;
	}

	public String getDisplayName()
	{
		return displayName;
	}

	public void setDisplayName(String displayName)
	{
		this.displayName = displayName;
	}

	public T getCode()
	{
		return code;
	}

	public void setCode(T code)
	{
		this.code = code;
	}

	public int getDisplayOrder()
	{
		return displayOrder;
	}

	public void setDisplayOrder(int displayOrder)
	{
		this.displayOrder = displayOrder;
	}
}
