package com.portlandwebworks.commons.data.handlers;

import com.portlandwebworks.commons.dao.IEntityManager;
import com.portlandwebworks.commons.data.IEntityHandler;
import com.portlandwebworks.commons.domain.Identifiable;

import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class DefaultEntityHandler implements IEntityHandler
{
	protected IEntityManager entityManager;

	
	public void setEntityManager(IEntityManager entityManager)
	{
		this.entityManager = entityManager;
	}

	public void entityCreated(Identifiable entity)
	{
	}

	public void entityLoaded(Identifiable entity)
	{
	}

	public void entityFieldValueApplied(Identifiable entity, String path, Object oldValue, Object newValue)
	{
	}

	public void entityAssignedToParent(Identifiable parent, String path, Identifiable entity)
	{
	}

	public void entitiesAssignedToParent(Identifiable parent, String path, List<Identifiable> entities)
	{
	}

	public void entityUnassignedFromParent(Identifiable parent, String path, Identifiable entity)
	{
	}

	public void entitiesLoaded(List<Identifiable> entities)
	{
	}

	public void entitiesUnassignedFromParent(Identifiable parent, String path, List<Identifiable> entities)
	{
	}

	public void entityUpdated(Identifiable entity)
	{
	}
}
