package com.portlandwebworks.commons.jsf.lifeCycle;

import javax.faces.context.FacesContext;

/**
 * This software is the property of Portland Webworks.
 *
 * This class provides an alternative to having your backing bean implement <code>LifeCycleAware</code>.  It gives you
 * a way of intercepting lifecycle phases without implementing the entire API.
 *
 * @author Ronnie Northup
 */
public class LifeCycleAwareBackingBean implements LifeCycleAware
{
	@Override
	public void beforeInitializeView(FacesContext facesContext)
	{
	}

	@Override
	public void afterInitializeView(FacesContext facesContext)
	{
	}

	@Override
	public void beforeRestoreView(FacesContext facesContext)
	{
	}

	@Override
	public void afterRestoreView(FacesContext facesContext)
	{
	}

	@Override
	public void beforeApplyRequestValues(FacesContext facesContext)
	{
	}

	@Override
	public void afterApplyRequestValues(FacesContext facesContext)
	{
	}

	@Override
	public void beforeProcessValidations(FacesContext facesContext)
	{
	}

	@Override
	public void afterProcessValidations(FacesContext facesContext)
	{
	}

	@Override
	public void beforeUpdateModelValues(FacesContext facesContext)
	{
	}

	@Override
	public void afterUpdateModelValues(FacesContext facesContext)
	{
	}

	@Override
	public void beforeInvokeApplication(FacesContext facesContext)
	{
	}

	@Override
	public void afterInvokeApplication(FacesContext facesContext)
	{
	}

	@Override
	public void beforeRenderResponse(FacesContext facesContext)
	{
	}

	@Override
	public void afterRenderResponse(FacesContext facesContext)
	{
	}
}
