package com.portlandwebworks.commons.security.user;

import com.portlandwebworks.commons.data.LabelValuePair;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public interface ILdapEnabledUserService extends IUserService
{
	List<LabelValuePair<String>> searchDirectoryUsers(String lastName, boolean excludeLocalUsers);

	UserInput getUserInputFromDirectory(String username);
}
